package com.bonus.core.marketing.v2.rule.price.handler;


import com.bonus.core.marketing.v2.rule.price.dto.RulePriceResultOrderDTO;
import com.bonus.core.marketing.vo.MarketRuleVO;

import java.util.List;

public interface RulePriceHandler {
   void handle(RulePriceResultOrderDTO order, MarketRuleVO ruleInfo, List<RulePriceResultOrderDTO> orderResults);

   Integer getRuleType();

   default String checkRuleInfo(String ruleInfo) {
      return "";
   }
}
